﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Data.SqlClient;
using System.Data;
using System.Configuration;
namespace ExceptionHandling.classes
{
    public class ExceptionHandlingActions
    {
        #region Declarations
        public string fname { get; set; }
        public string lname { get; set; }
        public string email { get; set; }
        public Guid guid { get; set; }
        #endregion

        #region Methods
        public void Update()
        {
            SqlConnection conn = new SqlConnection(ConfigurationManager.ConnectionStrings["mwd"].ConnectionString);
            SqlCommand cmd = new SqlCommand("spExceptionHandlingUpdate", conn);
            cmd.CommandType = CommandType.StoredProcedure;
            SqlParameter parameterFName = new SqlParameter("@FName", SqlDbType.VarChar, 50);
            SqlParameter parameterLName = new SqlParameter("@LName", SqlDbType.VarChar, 50);
            SqlParameter parameterEmail = new SqlParameter("@Email", SqlDbType.VarChar, 50);
            SqlParameter parameterGuid = new SqlParameter("@Guid", SqlDbType.UniqueIdentifier, 36);
            parameterFName.Value = fname;
            parameterLName.Value = lname;
            parameterEmail.Value = email;
            parameterGuid.Value = guid;
            cmd.Parameters.Add(parameterFName);
            cmd.Parameters.Add(parameterLName);
            cmd.Parameters.Add(parameterEmail);
            cmd.Parameters.Add(parameterGuid);
            try
            {
                conn.Open();
                cmd.ExecuteNonQuery();
            }
            catch (Exception ex)
            {
                throw new Exception(ex.ToString());
            }
            finally
            {
                cmd.Dispose();
                conn.Close();
            }
        #endregion
        }
    }
}